org.jetlang.remote.acceptor

## Interface JetlangSession

All Known Implementing Classes:
  JetlangBaseSession, JetlangFiberSession, JetlangNioSession, JetlangStreamSession

    public interface JetlangSession

User: mrettig Date: 4/6/11 Time: 5:48 PM

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `disconnect()` Attempts to disconnect the client.
`org.jetlang.channels.Subscriber<HeartbeatEvent>` `getHeartbeatChannel()`
`org.jetlang.channels.Subscriber<LogoutEvent>` `getLogoutChannel()`
`org.jetlang.channels.Subscriber<ReadTimeoutEvent>` `getReadTimeoutChannel()`
`org.jetlang.channels.Subscriber<SessionCloseEvent>` `getSessionCloseChannel()`
`Object` `getSessionId()`
`org.jetlang.channels.Subscriber<SessionMessage<?>>` `getSessionMessageChannel()`
`org.jetlang.channels.Subscriber<SessionRequest>` `getSessionRequestChannel()`
`org.jetlang.channels.Subscriber<SessionTopic>` `getSubscriptionRequestChannel()`
`org.jetlang.channels.Subscriber<String>` `getUnsubscribeChannel()`
`void` `publish(byte[] data)` publish raw bytes.
`<T> void` `publish(String topic, T msg)`

### Method Detail

#### getSessionId

    Object getSessionId()

#### getSubscriptionRequestChannel

    org.jetlang.channels.Subscriber<SessionTopic> getSubscriptionRequestChannel()

#### getUnsubscribeChannel

    org.jetlang.channels.Subscriber<String> getUnsubscribeChannel()

#### getLogoutChannel

    org.jetlang.channels.Subscriber<LogoutEvent> getLogoutChannel()

#### getHeartbeatChannel

    org.jetlang.channels.Subscriber<HeartbeatEvent> getHeartbeatChannel()

#### getSessionMessageChannel

    org.jetlang.channels.Subscriber<SessionMessage<?>> getSessionMessageChannel()

#### getSessionRequestChannel

    org.jetlang.channels.Subscriber<SessionRequest> getSessionRequestChannel()

#### getReadTimeoutChannel

    org.jetlang.channels.Subscriber<ReadTimeoutEvent> getReadTimeoutChannel()

#### getSessionCloseChannel

    org.jetlang.channels.Subscriber<SessionCloseEvent> getSessionCloseChannel()

#### disconnect

    void disconnect()

Attempts to disconnect the client.

#### publish

    void publish(byte[] data)

publish raw bytes. The bytes should be correctly formatted with the topic included. The bytes will be published asynchronously, so the byte array should be a thread safe copy of the data.

#### publish

    <T> void publish(String topic,
                     T msg)